Search
Autocomplete suggestions for search-as-you-type
Returns autocomplete suggestions. Not provider-visibility filtered.
GET
/
search
/
suggest
Autocomplete suggestions for search-as-you-type
curl --request GET \
--url https://data.kairos.trade/search/suggest \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://data.kairos.trade/search/suggest"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>",
"X-Api-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Client-Id': '<api-key>',
'X-Api-Key': '<api-key>',
'X-Api-Secret': '<api-key>'
}
};
fetch('https://data.kairos.trade/search/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"suggestions": [
{
"text": "<string>",
"type": "<string>",
"frequency": 123
}
],
"meta": {
"query": "<string>",
"returned": 123
}
}{
"detail": "Invalid provider: acme"
}{
"detail": "Not authenticated"
}{
"detail": "Invite required"
}{
"detail": [
{}
]
}{
"error": "Rate limit exceeded: 100 per 1 minute"
}{
"detail": "Invalid provider"
}Authorizations
Credential client id (kairos_ck_...). Must be sent together with X-Api-Key and X-Api-Secret.
64-char hex API key.
64-char hex API secret.
Query Parameters
Required string length:
2 - 100Required range:
1 <= x <= 50Filter suggestions by provider id.
Was this page helpful?
⌘I
Autocomplete suggestions for search-as-you-type

